### Name: betadisper
### Title: Multivariate homogeneity of groups dispersions (variances)
### Aliases: betadisper permDisper scores.betadisper anova.betadisper
###   plot.betadisper boxplot.betadisper print.betadisper print.permDisper
### Keywords: methods multivariate hplot

### ** Examples

data(varespec)

## Bray-Curtis distances between samples
dis <- vegdist(varespec)

## First 16 sites grazed, remaining 8 sites ungrazed
groups <- factor(c(rep(1,16), rep(2,8)), labels = c("grazed","ungrazed"))

## Calculate multivariate dispersions
mod <- betadisper(dis, groups)
mod

## Perform test
anova(mod)

## Permutation test for F
permDisper(mod)

## Plot the groups and distances to centroids on the
## first two PCoA axes
plot(mod)

## Draw a boxplot of the distances to centroid for each group
boxplot(mod)



