### Encoding: UTF-8

### Name: oecosimu
### Title: Nestedness and Null Models for Islands or Patches
### Aliases: oecosimu nestedchecker nestedn0 nesteddisc commsimulator
###   print.oecosimu print.nestedchecker print.nestedn0 print.nesteddisc
### Keywords: multivariate

### ** Examples

data(sipoo)
nestedchecker(sipoo)
## Use the first eigenvalue of correspondence analysis as an index
## of structure: a model for making your own functions.
## This is a minimal structure; fancier functions give fancier results
caeval <- function(x) list(statistic = decorana(x, ira=1)$evals[1])
out <- oecosimu(sipoo, caeval, "swap", burnin=100, thin=5)
out
## Inspect the swap sequence
plot(out$oecosimu$simulated, type="l")



